## ros-humble-lms1xx 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(lms1xx)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(laser_geometry REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)

add_executable(${PROJECT_NAME} 
  src/LMS1xx_node.cpp
  src/LMS1xx.cpp)

ament_target_dependencies(
  ${PROJECT_NAME}
  geometry_msgs
  laser_geometry
  rclcpp
  sensor_msgs
  tf2
  tf2_ros
)

target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

install(TARGETS lms1xx
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY config launch meshes urdf
  DESTINATION share/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-lms1xx (1.0.1-1jammy) jammy; urgency=high

  * Added statemachine to prevent driver from blocking executor.
  * Contributors: Roni Kreinin

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Jun 2023 04:00:00 -0000

ros-humble-lms1xx (1.0.0-1jammy) jammy; urgency=high

  * Removed TravisCI badge.
  * Fixed CMakeLists.txt finding deleted packages
  * Fixed formatting issues and dependencies
  * Update ROS2CI.yml
  * Create ROS2CI.yml
  * Create depends.repos
  * Improvements on connecting to lidars
  * add back sprintf but dont printf
  * comment out sprintf
  * Fix min max angle
  * Fix qos for gazebo simulation
  * Make gazebo simulation work
  * Add humble support for Husky LMS_111 lidars
  * migration to ros2 foxy
  * Contributors: Daniel Duran-Rojas, Fredrik, SRai22, Samuel Lindgren, Tony Baltovski, fazzrazz

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 15 Jun 2023 04:00:00 -0000

ros-humble-lms1xx (0.3.0-1jammy) jammy; urgency=high

  * Changed shebang to python3.
  * Fixed typo in find_sick script.
  * Update the python scripts so they'll work with python3
  * Switched to industrial_ci for TravisCI.
  * Contributors: Chris I-B, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 24 Jan 2021 05:00:00 -0000

ros-humble-lms1xx (0.2.0-1jammy) jammy; urgency=high

  * Updates for console bridge deprecated macros
  * Fixed warning about inconsistent namespace redefinitions for xmlns:xacro.
  * Fixed formatting
  * Added inf to be set for min range
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 16 Jul 2019 04:00:00 -0000

ros-humble-lms1xx (0.1.6-1jammy) jammy; urgency=high

  * Added max/min angle to gazebo plugin.
  * [ros params] Adding 'port' parameter. (#35 <https://github.com/clearpathrobotics/LMS1xx/issues/35>)
  * Add robot namespace to lidar plugin
  * Exposed parameters min_range and max_range
  * add parameters 'sample_size' and 'update_rate' for gazebo's ray plugin
  * Contributors: Achim, CyrillePierre, Mike Purvis, Paul Bovbel, Tony Baltovski, mailto:bikramak@aandkrobotics.com

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 04 May 2017 04:00:00 -0000

ros-humble-lms1xx (0.1.5-1jammy) jammy; urgency=high

  * Rework startup/reconnection logic.
  * Add roslaunch, roslint checks.
  * Other fixes, including a new buffer class with tests.
  * Add travis.
  * Apply astyle to original package.
  * Remove screen attribute from example launcher.
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 18 Dec 2015 05:00:00 -0000

ros-humble-lms1xx (0.1.4-1jammy) jammy; urgency=high

  * Another startup bugfix.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 04 Sep 2015 04:00:00 -0000

ros-humble-lms1xx (0.1.3-1jammy) jammy; urgency=high

  * Added URDF with simulation plugin.
  * Added script to set static IP of LMS1xx
  * Fixed startup publishing issue
  * Removed one second delay in login
  * Contributors: Mike Purvis, Mustafa Safri, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jul 2015 04:00:00 -0000

ros-humble-lms1xx (0.1.2-1jammy) jammy; urgency=high

  * More robust startup for LMS1xs, retries instead of just dying.
  * Switch to console_bridge logouts, separate lib.
  * Remove buffer flush at conclusion.
  * Use LMS1xx reported configuration instead of capabilities for angle_min, max, etc...
  * Use output range query for min & max angles, num_values, and time_increment.
    Previously, the code would query the LMS1xx for its capabilities, which
    might exceed its current configuration (in terms of angle range).  Now, we
    query the LMS1xx for its configuration when setting scan parameters such
    as min & max angle, number of values reported, and time increment.
  * Add getScanOutputRange() to read outputRange data from the LMS1xx.
  * Contributors: Mike Purvis, Patrick Doyle

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-humble-lms1xx (0.1.1-1jammy) jammy; urgency=high

  * Changed the pkg and name so that the launch file is able to find the package.
  * Fix assignment in if() to comparison.
  * Contributors: Jeff Schmidt, Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Aug 2014 04:00:00 -0000

ros-humble-lms1xx (0.1.0-1jammy) jammy; urgency=high

  * Fix example launch file and install it.
  * Fix project name in CMakeLists.
  * Adding original author, readme
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000

ros-humble-lms1xx (0.0.1-1jammy) jammy; urgency=high

  * Initial release
  * Contributors: MLefebvre, Mike Purvis, Prasenjit Mukherjee

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000

=== debian/control ===
Source: ros-humble-lms1xx
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-laser-geometry, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/LMS1xx
Standards-Version: 3.9.2

Package: ros-humble-lms1xx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-laser-geometry, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: The lms1xx package contains a basic ROS 2 driver for the SICK LMS1xx line of LIDARs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-lms1xx//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
